import ModelNote from "Models/Note";
import {LocalStorage} from "backbone.localstorage";

export default Backbone.Collection.extend({
    initialize: function (attrs, option) {
        this.localStorage = new LocalStorage('notes_' + attrs.storageName);
    },
    model: ModelNote,    
    comparator: function (model) {
        return -model.get("note");
    },
    getAverage: function () {
        let somme = 0;
        let moyenne = 0;
        this.each(function(note) {
            somme += note.get("note");
        });  
        if (this.length > 0) {
            moyenne = somme / this.length;
        }       
        return moyenne;
    }
    
})