import tmplDefault from "Templates/Notes.html";
import ModelNote from "Models/Note";

export default Backbone.View.extend({  
    events: {
        'click .btn_delete': 'act_delete',
        'click .btn_modify': 'act_modify',
        'click .btn_compare': 'act_compare',
        'click .btn_add': 'act_showAddForm',
    },
    act_compare: function (evt) {
        let id = $(evt.target).attr('data-id');
        let note = this.collection.get(id);
        let moyenne = this.collection.getAverage();
        alert(note.get("note") - moyenne);
    },
    act_showAddForm: function (evt) {
        $('#modalNoteAddForm').modal('show');
        $('#noteAddForm').off();
        $('#noteAddForm').on('submit', (evt) => {
            evt.preventDefault();
            let inputNote = $("#inputNote");
            let inputNom = $("#inputNom");
            let inputPrenom = $("#inputPrenom");
            let note = parseFloat(inputNote.val());
            let nom = inputNom.val();
            let prenom = inputPrenom.val();
            let newNote = new ModelNote({note, prenom, nom});
            if (newNote.isValid()) {
                this.collection.create(newNote);
                $('#modalNoteAddForm').modal('hide')
                $("#noteAddForm")[0].reset();
            } else {
                inputNote.focus();
            }                        
        });
    },
    act_delete: function (evt) {
        let id = $(evt.target).attr('data-id');
        let note = this.collection.get(id);
        note.destroy();
    },
    act_modify: function (evt) {
        let id = $(evt.target).attr('data-id');
        let note = this.collection.get(id);
        this.formNoteMod.model = note;
        this.formNoteMod.render();
        $("#modalNoteModForm").modal('show');
        
    },
    initialize: function(attrs, options) {
        this.formNoteMod = attrs.formNoteMod;
        this.title = attrs.title;
        this.template =  tmplDefault;    
        this.listenTo(this.collection, "change add remove", this.render);                
    },
    render: function() {          
        this.$el.html(this.template({
            notes: this.collection.toJSON(),
            moyenne: this.collection.getAverage(),   
            title: this.title
        }));
        return this.$el; 
    }
});